GuideLab API

Get Scanner Settings

Retrieve scanner settings for the current organization, including auto-pool case amount, disconnection email preferences, and folder paths.

GET
/scanner-settings

Retrieve scanner settings for the current organization, including auto-pool case amount, disconnection email preferences, and folder paths.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Response Body

application/json

curl -X GET "https://example.com/scanner-settings"
{  "settings": {    "id": "string",    "organizationId": "string",    "autoPoolCaseAmount": 0,    "sendDisconnectionEmail": true,    "disconnectionEmailRecipients": [      "string"    ],    "newOrderFolderPath": "string",    "existingOrderFolderPath": "string",    "useScanhubLite": true,    "createdAt": "string",    "updatedAt": "string"  }}
Empty